#公网版
server:
  port: 8445
  address: 0.0.0.0

  ssl:
    key-store: classpath:hnhong-duo.com.jks
    key-store-password: pk4x5v3pz83va2
    key-store-type: JKS


spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://118.195.171.239:3306/psychological_web_test?useUnicode=true&characterEncoding=utf-8&allowMultiQueries=true&useSSL=false&serverTimezone=GMT%2B8
    username: root
    password: Mysql@.2020
    hikari:
      max-lifetime: 30000
  data:
    redis:
      repositories:
        enabled: false
  redis:
    host: 118.195.171.239
    port: 6379
    password: bjjmtech&jsyx
    database: 1
    timeout: 20000
    jedis:
      pool:
        max-wait: -1
        max-idle: 8
        max-active: 8
        min-idle: 0



#微信支付
wx.pay:
  #HD
  # 商户号
  mch-id: 1655519363
  #商户api证书序列号
  mch-serial-no: 692670931729B82A48747B47EFE3142BCA73D978
  # 商户私钥文件
  private-key-path: apiclient_key_hd.pem
  # API秘钥
  api-v3-key: MentalHealth20191025HongduoTest1
  # APPID
  app-id: wx43ca40dd2be85dd6
  # 接受结果回调地址
  notify-domain: https://hnhong-duo.com

  # 微信服务器地址
  domain: https://api.mch.weixin.qq.com
  is_lan: false
  # 小程序秘钥
  ASPI_SECRET: b4edc4638f9182a1684dffdf7a1fa4c0
  #小程序code2session
  ASPI_URL: https://api.weixin.qq.com/sns/jscode2session
  #小程序appid
  ASPI_APPID: wx2f422a2a1cb24c3c

#抖音支付
douyin:
  appid: tt444a32f7db77627c01
  appName: douyin
  secret: d8a880ae1f5cf6e1588f4367e13f95c1d5b4be9b
  sessionUrl: https://developer.toutiao.com/api/apps/v2/jscode2session
  tokenUrl: https://developer.toutiao.com/api/apps/v2/token
  createOrderUrl: https://developer.toutiao.com/api/apps/ecpay/v1/create_order
  codeUrl: https://developer.toutiao.com/api/apps/qrcode
  notifyUrl: https://hnhong-duo.com
  queryOrderUrl: https://developer.toutiao.com/api/apps/ecpay/v1/query_order
  pushOrderUrl: https://developer.toutiao.com/api/apps/order/v2/push
  isDouYin: true

